﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek MDO4000 Phase Noise Test VISA /LO
DATE:                  2014-12-03 16:46:34
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 23043 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       77
CONFIGURATION:         Local Oscillator
=============================================================================
#
#  Procedure Author:
#        CAD
#
#  Models covered:
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL version 7.3.38 or later
#
#  Additional Equipment Required:
#        Cable, 2 GHz CW, appropriate length and connector type to support
#            the flexible LO and DUT RF In.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  IEEE         [@LO]
  1.003  ENDIF

  1.004  HEAD         -2 [V @Offset] Offset
  1.005  MATH         CenterFreqHz = BASE(@LO_Freq)
  1.006  MATH         Span = BASE(@Span); RBW = BASE(@RBW)
  1.007  MATH         Offset = CenterFreqHz + BASE(@Offset)
# Calculate lower limit for test (-200 dBc/Hz).
  1.008  MATH         L[1] = 200 + @Limit

  1.009  JMPL         CONTINUE
  1.010  EVAL   Force connection message on Repeat/Cancel.
  2.001  MATH         @Connected = ""; @Time = ""
  2.002  CALL         Sub Tek MDO4000 Check and Display Connection
  2.003  LABEL        CONTINUE

  2.004  TSET         TDESC = [V @Offset] Offset; UUT_RES = 0.01
  2.005  CALL         Sub Apply /LO
  2.006  VISA         RF:SPAN [V Span];RBW [V RBW]
  2.007  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.008  JMPL         END                          @Abort
  2.009  MATH         MEM = @Limit
  2.010  ACC          dBc/Hz         1.00U                                 +DW
  2.011  TARGET       -m
  2.012  VISA         ACQUIRE:STATE ON
  2.013  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.014  JMPL         END                          @Abort
  2.015  VISA         MARKER:M1:FREQUENCY:ABSOLUTE [V CenterFreqHz]
  2.016  VISA         MARKER:M2:FREQUENCY:ABSOLUTE [V Offset]
  2.017  VISA         [D500]MARKER:M2:PHASENOISE?[I]
  2.018  MEMCX        dBc/Hz         -L1U

  3.001  LABEL        END
  3.002  END
